using System;

internal sealed class Delegate567 : MulticastDelegate
{
	public extern TimeZoneInfo Invoke();

	public static TimeZoneInfo smethod_0(Delegate567 delegate567_1)
	{
		return delegate567_1();
	}

	public extern Delegate567(object object_0, IntPtr intptr_0);

	static Delegate567()
	{
		Class10.smethod_13(typeof(Delegate567).TypeHandle);
	}

	internal static Delegate567 delegate567_0;
}
